Welcome

Next topic Welcome to GraphTool Help
GraphTool is Spectral Dynamic's data viewer used with the Puma Computer-Aided Test Suite. This online help is to assist you in the operation of your GraphTool software. Please select a topic below to get started or you may browse through the help contents for information using the arrows in the upper left corner of the page.

Toolbar Controls

Toolbar

Graph Toolbar

Plot Toolbar

Stacked Plot Settings

Data Source Toolbar

Time Stream Toolbar

Page Settings

Post Analysis

Plot Definition

Graph Property Lock Toolbar
Customizing GraphTool

Properties of a Graph Template

What is a marker?

What are grab spots?

How to customize Tags and Labels.

Multiple windows
Graph Types

Stacked Plot

Spec Intensity

Campbell

Order Track

Composite

Default Graph Templates
Printing
How do I print a Graph Template page?
Importing a Reference

How do I define and view a reference?
Waveform Editor

Viewing a time stream.

Editing a time stream.

What are filters, how do I re-sample, and what are the drag points?

Using OLE

What is OLE?

How do I embed an object in GraphTool?

How do I view live GraphTool data embedded in an OLE container?

How do I embed a GraphTool object in an OLE container?
NetViewer
Viewing remote test data through a network.
Programmable Function Calculator
Using the Calculator

This online help is best viewed using Internet Explorer with text size 'smaller'.

Last updated on September 21, 2005

Copyright 2005 Spectral Dynamics Inc. Microsoft Access, Microsoft Excel, and Microsoft Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.


Toolbar

This is the main toolbar which handles the opening and saving of GraphTool template files (.sgt) and help resources.

Open: This opens a new template (.sgt) file.
Save: This saves the template currently open.
 About: About the application.
 Help

Copyright 2005 Spectral Dynamics Inc.


Graph Toolbar

This is the graph toolbar which allows you to add / delete graphs from a template, move objects from back to front, and clear plots.

Graph Type : This selects the type of graph created when using the Add Graph button.The following graph templates are associated with these graph types. You can edit these in the directory where Puma is installed.

(Available only in Random, Rotating Machinery, and Star Analyzer)

Random:

PSD | RANDOMPSD.gt
Time Trace | RANDOMTIMETRACE.gt
Mag Spec | RANDOMMAGSPEC.gt
Lin Spec | RANDOMLINSPEC.gt
Transfer | RANDOMTRANSFER.gt

Rotating Machinery & Star Analyzer:

Waterfall | ROTWF.gt
Order Track | ROTORDERTRACK.gt
Spec Intensity | ROTSpecIntensity.gt
Nyquist | ROTNYQUIST.gt
Campbell | ROTCAMPBELL.gt
Bode | ROTBODE.gt
PSD | ROTPSD.gt
Orbit | ROTORBIT.gt
Octave | ROTOCTAVE.gt
Time Trace | ROTTIMETRACE.gt
Composite | ROTCOMPOSITE.gt

Add Graph: This creates a new graph on the template.
Add Waterfall: Add a waterfall graph. See Waterfalls for more information.
Erase: Erase the select graph. Note: Be cautious as there is no way to undo this action.
 Bring to Front / Send to Back: Bring the selected object to front / back.
Clear Plots: Clear all plots of the selected graph.

Copyright 2005 Spectral Dynamics Inc.


Plot Toolbar

This is the plot toolbar which controls different functionality of the plots and axis.

A graph can be in cursor, zoom, pan, or tag mode. All movements in each mode are accomplished by holding the left mouse button while moving the mouse.

Cursor Mode: When this button is on, the graph is in cursor mode meaning the action of the mouse will trace the line of the current plot.
Zoom Mode: When this button is on, the graph is in zoom mode meaning the action of the mouse will create a boxed zoom area when the mouse button is released.
Pan Mode: When this button is on, the graph is in pan mode meaning the action of the mouse will move the view of the data in the graph.
Add Tag: When this button is on, you may add tags to the selected graph by pressing the left mouse button. A tag can only be created within the graph axis boundaries. You may move a tag outside these boundaries anywhere on the graph's boarders once the tag is created. See Tags for more information.
Add a Plot: Applies to the currently selected graph. Depending on the graphics level purchased, you may have up to 8 plots per graph.
Delete Plot: Deletes the currently selected plot.
Undo Zoom: This will revert back to the last scaled zoom.
Delete Tag: This will delete the currently selected tag. See Tags for more information.
Fit all plots X axis: This scales the selected graph to fill all plots in the X direction.
Fit current plot X axis: This scales the graph to fit the selected plot in the X direction.
Fit all plots Y axis: This scales the selected graph to fill all plots in the Y direction.
Fit current plot Y axis: This scales the graph to fit the selected plot in the Y direction.
Continuously Fit all plots Y axis: When this button is on, the graph will continuously scale the Y-axis to fill all plots in the selected graph.
Continuously Fit plot Y axis: When this button is on, the graph will continuously scale the Y-axis to fill the selected plot.
Scale Z Axis: This scales all plots in the Z direction. This applies to a stacked plot graph only.
Hide / Show Crosshairs: This toggles crosshairs on the current graph selected.

These control the functionality for markers. See Markers for more information.

Show Markers: When this button is on, added markers will be shown on the right of the graph.
Add Marker: This adds a marker to the graph which can be viewed by pressing the show markers button. A marker labels a point on the graph recording the X / Y values.
Delete Marker: Delete the currently selected marker.
Move Cursor Left: Only works in cursor mode.
Move Cursor Right: Only works in cursor mode.
Show Alarm Lines: Toggles alarm lines on and off.
Show Abort Lines: Toggles abort line on and off.

Copyright 2005 Spectral Dynamics Inc.


Stacked Plot Toolbar

Stacked Plot Settings Toolbar

This toolbar controls the settings and movement of a stacked plot graph. See Stacked Plot Graph for more information.

Stacked Plot On: This toggles the graph from a 2D to a 3D stacked plot graph.

PSD - Stacked Plot Off

PSD - Stacked Plot On

Shift Right: Rotates the graph to the right.

Shift Left: Rotates the graph to the left.

 Increase Spacing: Rotates the graph in the downward direction.

Decrease Spacing: Rotates the graph in the upward direction.

Increase Plot Count: Increases the number of plots in the Z-direction

Decrease Plot Count: Decreases the number of plots in the Z-direction

Hi / Lo Plotting: This button is used to toggle on and off the scroll range parameters as defined in the plot definition toolbar. See stacked plot graph for more information

Copyright 2005 Spectral Dynamics Inc.


Data Source Toolbar

These toolbar controls allow the user to choose the source of the data the system displays.

Data from Hardware: The selected graph will display live data.
Data from File: This will load up a stored data file (.sdd).
Last Data Saved: Will display the last saved data file (.sdd).

Copyright 2005 Spectral Dynamics Inc.


Time Stream Toolbar

This tool bar contains the icons used for viewing an recorded data stream file (.sts) which contains saved data from a test This feature is used with Analysis and Road Simulation applications within Puma as well as Post Analysis in GraphTool. See Viewing a Stream for more information.

Copy: This copies a portion of data onto the clipboard.
Paste: This pastes data that was previously cut or copied onto the clipboard.
Cut: This cuts a portion of data onto the clipboard.
Undo: This reverts to the last action that was made to the data.
File Info: This displays the name of the current data file being viewed, the bandwidth, number of points of data and number of blocks of data.
Drag Points: This shows and hides the drag points.
Shift Left: This shifts the drag points to the left.
Shift Right: This shifts the drag points to the right.

Data Playback:

Stop: This stops the previously recorded data file in play mode.
Pause: This pauses the recorded data file in play mode.
Play: This plays the recorded data file.
Full Rewind: This rewinds the data file to the beginning.
Step Rewind: This rewinds the data file towards the beginning in steps.
Step Forward: This forwards the data file towards the end in steps.
Full Forward: This forwards the data file to the end.

Time Stream Graph Creation:

Insert Compressed: This creates a graph view of the entire data file. This graph is necessary to attach a stream in both the insert view and insert process graphs.
Insert View: This creates a segmented graph view of the data file. View the selected portion of the compressed stream. Also allows selected data to be copied to the clipboard.
Insert Process: This creates a process graph view of the data file. This graph is used for converting a stream file to a Universal File Format (UFF).
Insert Edit: This creates an edit graph view of the data file. This is used for editing a stream either through copy, paste, append, or drag points.

Copyright 2005 Spectral Dynamics Inc.


Page Settings Toolbar

This toolbar is used for page settings, sizing, and display.

Fits the page to window: This button toggles the size of the window. If on, the page will be equal to the exact size of the window. If this button is off, then the page will be default size, scroll bars will be shown if the window is not big enough.
Page Size: Not yet implemented.
Add Page: Adds a new page to the template (.sgt).
Delete Page: Deletes the current page. A template with a single page cannot be deleted.
Previous Page: Go to the previous page in the template.
Next Page: Go to the next page in the template.
Erase: Erase the select graph. Note: There is no way to undo this action so be cautious.
Set Row and Columns: This sets the page to a set number of equally sized graphs within the page. Note that this may create or destroy a graph on the page when not setting the row and column values equal to the number of graphs on the page. Setting this value to 0,0 with 1 graph will resize the graph to fit the page.
Bring to Front / Send to Back: Bring the selected object to front / back.
Add Graph: This creates a new graph on the template.

Using Pages

In addition to using the page settings toolbar to add/delete and navigate through multiple pages, you can load/save a graph tool page (*.gtp) using the main menu bar. These are similar to how the graph template files are used.

These buttons are used to display information about the current test. All movements for each display are accomplished by holding the left mouse button while moving the mouse. See Tags and Labels for more information.

Test Data Settings Display: Displays user defined data.
Profile Settings Info: Displays the profile information as defined in the Puma profile settings.
Channel Settings Info: Displays the channel information as defined in the Puma channel settings.
Schedule Settings Info: Displays the schedule information as defined in the Puma schedule settings.

Copyright 2005 Spectral Dynamics Inc.


Post Analysis Toolbar

The post analysis toolbar allows saved data (.sdd) files to be recalled and viewed.

Data Source: The contains all the data files that are currently opened by the user. 'Data File" is the default name for an opened data file. To have multiple data files opened, press the [Add] button to create a tag name for that data file. The Data Source drop down menu will then contain all tag names of data given. [Delete] will close the data file of the tag name selected in the Data Source drop down menu.

Data File: Press [Load] to open up a data file. [Play] will display each frame of data in the file by frame order starting with the currently selected frame in the text box on the right.

Delay: This is the duration of time each frame is displayed in the graph in tenths of a second.


Plot Definition Toolbar

The plot definition bar defines the current plot selected. All fields are shown in the picture below which may be hidden when defining different types of plots. Note that all fields must be defined or the plot attributes will not change.

Channel: Channel of active plot.

Location: Location for Analyzer Modal.

Reference Channel: Reference channel of active plot.

[Function / Plot]: Defines the function or graph type of the active plot. This is dependent of application (i.e. Random) and if reference channel is set.

[Function]: Defines the function type in certain plots such as order track.

[Operator]: Defines the operator of the function type. This is dependent of function selected in [Function (/plot)].

[Parameter]: This defines the display parameters when viewing a campbell, order track, or spec intensity graph. This parameter is defined in the spreadsheet on the right side of the toolbar.

[Gate]: Selects the gate when running the rotating machinery application.

Copyright 2005 Spectral Dynamics Inc.


Graph Properties

When a graph is selected, there are three different menus that may be opened up by right-clicking the mouse in the area as shown by the arrows.

Axis Menu: Tics represent numerical values on the X and Y axis. Major tics are the larger marks which are labeled, minor tics are the marks between each major tic. Major grids are the lines of the graph labeled by the major tics. Selecting All grids will display lines for both major / minor tics. A Logarithmic, Linear, or dB scale can be chosen for either axis. Fit Selected Plot will scale the selected axis to the range of the current plot.

Plot Menu: A plot's channel, function, units, marker, and color can be changed through this interface. A plot's channel, function, and units are all explained under Plot Definition. The Plot Colors menu changes the current selected plot to 20 selectable colors. The Plot Marker Type menu changes the look of the cursor marker. The Cursor menu defines the attributes of the numerical display of the X and Y axis in the upper-left corner of the graph. Plot Definition and Post Analysis toggle their dialogs from the GraphTool window. The bottom portion of the menu is reserved for selecting currently opened data files (.sdd). LIVE DATA reverts back to current data through the hardware.

Graph Template Menu: This menu will change different graph properties of the selected graph. See Graph Template Menu for more information.

Cursor / Grab Spots: The size of the graph's boarders and axis scale can be changed by simply placing the cursor over the following spots: See Grab Spots for more information.

This cursor will allow you to size the edges of the graph marked by the boxes in the center of each edge of the graph. Grabbing the corners of each edge will allow you to change the X and Y axis. Simply hold the left mouse button and drag the mouse in the direction of the axis, either in a positive or negative direction.

This cursor will allow you to change the first and last major tick on the X and Y axis by clicking on the number then typing in a numerical value.

Copyright 2005 Spectral Dynamics Inc. .


Graph Template Menu

Using a right-click on the graph will open up a menu for customizing a graph template (.gt). The colors on the left of the menu show the corresponding color properties on the graph below.

Alarm / Abort Line Type: These change the alarm and abort line properties. Alarm and abort lines are defined in the profile table in Puma. Solid, dash, and dot are the available display options. The Alarm / Abort Level Plot Color menu will change these lines to a customizable color.

Waterfall Type / Properties: See Stacked Plot Graphs for more information.

Add / Delete Y Axis: This will split the window adding or deleting a second Y axis. This is useful when displaying multiple plots.

Show Markers: See Markers for more information.

Draw Crosshairs: This toggles crosshairs on and off. Each plot in a graph has it's own cursor and crosshair.

Show All Modal Bands / Current Modal Band: Currently not working.

Margins: You may specify the margins around a graph using the 'Margins' dialog. Margins may also be adjusted using grab spots.

Show Grab Spots: Toggles grab spots on and off. Grab spots can be used for adjusting margins and the scale of the X/Y axis. See grab spots for more information.

Save As Default / Reset to Default: Saving as a default will save the current graph as the default template (.gt) for the particular application you are running. (Examples: random.gt; sine.gt; analyzer.gt). If GraphTool is stand-alone then it will be saved as default.gt. Reset to Default will load the current default template.

Open / Save Template: This will load or save a graph template file (.gt) through a dialog.

Properties Dialog: This dialog will allow the user to change the attributes of the selected graph.

Graph Properties: This dialog will change the color of the graphs attributes as well as toggle markers and grab spots on and off. These features work the same as the individual properties in the main menu.

Fonts: This dialog changes the font characteristics of the graph.

Waterfall Properties: This changes the type of waterfall graph to be displayed. Enable thresholds toggles the frequency colors on and off. Thresholds is used in the landscape example below.

Line

Fill

Landscape

Plot Properties:

Copyright 2005 Spectral Dynamics Inc..


Cursor Menu

Using a right click on the plot name will open up this menu. The cursor is the XY values of the plot marker selection on the plot. This menu can also be accessed by right clicking on the text showing the current X Y position.

Off: This will turn off the cursor.

XY: This will allow free movement of the cursor in the X and Y directions, independent of the data.

Peak: This will allow the cursor to follow the peak Y-value while X is modified.

Sweep: This will follow a sweep in sine test.

Peak Follow: This will cause the cursor to always stay at the peak Y-value of the data.

Cursor Font: Changes the cursor display font in the upper-right corner of the graph.

Cursor Locking: When viewing multiple graphs on the same page, you may want to position all your cursors at the same point on the graph. This is done for you through cursor locking. When any locked cursor is moved, all other locked cursors on the same page are also moved. This allows you to read data from the same point on two or more graphs. To reposition the cursors independently again, the cursors must be unlocked. When a cursor is locked you will see the [image] label on the plot display.

Copyright 2005 Spectral Dynamics Inc. .


Markers

Markers allow the user to monitor specific X value points on a plot. You may add markers to multiple plots by selecting first the plot then adding the marker. When deleting a marker, the active marker (maker #4 as shown below) will be deleted.

 Show Markers: When this button is on, added markers will be shown on the right of the graph.
Add Marker: This adds a marker to the graph which can be viewed by pressing the show markers button. A marker labels a point on the graph recording the X / Y values.
Delete Marker: Delete the currently selected marker.

Copyright 2005 Spectral Dynamics Inc. .


Using Grab Spots

Grab spots can be used to adjust margins around a graph and scale the X and Y axis by holding the left mouse button then dragging the mouse. You can turn the grab spots on and off by right clicking on the graph area and selecting 'Show Grab Spots' in the popup menu.

Copyright 2005 Spectral Dynamics Inc. .


Tags and Labels

Tags are user defined text fields that display information about the current test. A label is the data contained within a tag.

Add Tag: When this button is on, you may add tags to the selected graph by pressing the left mouse button. A tag can only be created within the graph axis boundaries. You may move a tag outside these boundaries anywhere on the graph's boarders once the tag is created. When a tag is added the text "NEW" will appear as default. See defining a label to edit this tag.
Delete Tag: This will delete the currently selected tag.

Text Box Fields
These are similar to tags but are displayed outside a graph's boundaries. Profile, Channel, and Schedule Settings Info buttons add their respective data to the text box and may be edited to add other user defined information. Click here for a detailed view of text box fields.

Test Data Settings Display: Displays user defined data.
 Profile Settings Info: Displays the profile information as defined in the Puma profile settings.
 Channel Settings Info: Displays the channel information as defined in the Puma channel settings.
 Schedule Settings Info: Displays the schedule information as defined in the Puma schedule settings.

Important notes to remember about tags and text box fields:
Any tags or text box fields that display live data will not be displayed until the test has started..
If a profile, channel, or schedule is not defined then there will be no data defined in these fields.
If GraphTool is in post analysis mode (meaning Puma is not active), then the profile, channel, and schedule info boxes will be empty. Any tags within the test data settings display will also not show up while in this mode.

Defining a Label
Select the tag or text box field with the left mouse button, then click anywhere on that tag with the right button to open up a dialog (shown below) to define the tag. When defining the label, you may add one or more properties by double clicking the left mouse button. The label property will then appear on the bottom listbox of the dialog. You may format the layout of the tag by adding text, spaces, and carriage returns between label properties.

Copyright 2005 Spectral Dynamics Inc. .


Stacked Plot

Stacked Plot / Waterfall Graph

A stacked plot / waterfall graph is a three dimensional graph where the Z axis represents time. Stacked plots / waterfall graphs are most commonly used with Sine on Random and Rotating Machinery as a means to view spectral trends. By increasing the number of plots, it is possible to compare a signal over a specific period of time. The picture below shows the different ways you can size and scale a graph using grab spots. These are similar to a 2-dimentional graph's grab spots except that in a 3-dimentional stacked plot graph you can adjust the Z axis. The stacked plot graph also contains a color based threshold legend to graphically show frequency levels and order line properties. Note that when initially creating a this graph, the threshold and order line properties won't be shown in the graph's frame. Use the grab spot on the right to contract the right side of the graph until the legend is in view. This legend can be edited by right-clicking the mouse over one of the values. From that menu you can delete the value, change it's color, add/edit a value using the Threshold Settings dialog, or Auto Scale using the Threshold Adjust Dialog.

* When using the Threshold Settings dialog remember that the new values added won't be shown on the legend until the [Apply] button is pressed.

Customizing your display:

Min / Max: The minimum and maximum value for the Z axis to display. A value of zero min and zero max means display all. In the example above the graph is set to display records 0 through 35.

Increment: Value to skip between each plot. A value of zero means display all.

Scroll Range: Range of values to be displayed while acquiring data. The [image] icon in the stacked plot toolbar must be on for the scroll range to be active.

Example: scroll range = 30 and z axis = time; The graph would only display 30 seconds of data any data older older than 30 seconds would scroll past the bottom of the graph.

Threshold Settings Dialog:

When right clicking on a threshold value and selecting 'Edit', the dialog as shown on the left will allow you to change the color of the threshold value, add a new value to the threshold legend, or change the existing value by typing in a different value then pressing the [Apply] button.

Threshold Adjust Dialog:

When right clicking anywhere on the threshold legend and selecting 'Auto Scale', the dialog as shown on the left will allow you to change the min, max, and number of thresholds as well if it is log or linear based. Linear is default.

Waterfall Type

Copyright 2005 Spectral Dynamics Inc.


Spec Intensity Graph

This graph is used in the Rotating Machinery Application. The spec intensity graph contains a color based legend to graphically show frequency levels. Note that when initially creating a spec intensity graph, the legend won't be shown in the graph's frame. Use the grab spot on the right to contract the right side of the graph until the legend is in view. This legend can be edited by right-clicking the mouse over one of the values. From that menu you can delete the value, change it's color, or add a new value using the Threshold Settings dialog* as shown below.

* When using the Threshold Settings dialog remember that the new values added won't be shown on the legend until the [Apply] button is pressed.

When a Spec Intensity graph is defined an additional option will appear in the Plot Definition toolbar allowing the user to define constraints for the displayed frequencies. This can be used to filter what frequencies are displayed by RPM Tach H/W, Record #, or Time.

RPM Tach H/W

Min: The minimum RPM displayed in the graph.

Max: The maximum RPM displayed in the graph.

Increment: The step between each RPM values which are displayed

Record #

Min: The first record to be displayed.

Max: The last record to be displayed.

Increment: The number of records in between each which are displayed. It is suggested that this number be a whole number as any number is rounded up to the nearest whole number.

Time

Min: The minimum time in seconds to be displayed

Max: The maximum time in seconds to be displayed

Increment: The step between each second which is displayed.

Copyright 2005 Spectral Dynamics Inc. .


Campbell Graph

This graph is used in the Rotating Machinery Application. This graph is similar to other 2-dimentional except that you can define the number of millimeters per amplitude and cutoff threshold for the displayed data. Double-click with the left mouse button over the text to change these values.

When a Campbell graph is defined an additional option will appear in the Plot Definition toolbar allowing the user to define constraints for the displayed frequencies. This can be used to filter what frequencies are displayed by RPM Tach H/W, Record #, or Time.

RPM Tach H/W

Min: The minimum RPM displayed in the graph.

Max: The maximum RPM displayed in the graph.

Increment: The step between each RPM values which are displayed

Record #

Min: The first record to be displayed.

Max: The last record to be displayed.

Increment: The number of records in between each which are displayed. It is suggested that this number be a whole number as any number is rounded up to the nearest whole number.

Time

Min: The minimum time in seconds to be displayed

Max: The maximum time in seconds to be displayed

Increment: The step between each second which is displayed.

Copyright 2005 Spectral Dynamics Inc. .


Order Track Graph

This graph is used in the Rotating Machinery Application.

When an order track graph is defined an additional option will appear in the Plot Definition toolbar allowing the user to define constraints for the displayed frequencies. This can be used to filter what frequencies are displayed by RPM Tach H/W, Record #, or Time.

RPM Tach H/W

Min: The minimum RPM displayed in the graph.

Max: The maximum RPM displayed in the graph.

Order # : The step between each RPM values which are displayed

Extract (Line / Peak / Filter FFT) :

Width (Ord):

Direction ( Up / Down / Both):

Record #

Min: The first record to be displayed.

Max: The last record to be displayed.

Order # : The number of records in between each which are displayed. It is suggested that this number be a whole number as any number is rounded up to the nearest whole number.

Extract (Line / Peak / Filter FFT) :

Width (Ord):

Direction (Up / Down / Both):

Time

Min: The minimum time in seconds to be displayed

Max: The maximum time in seconds to be displayed

Order # : The step between each second which is displayed.

Extract (Line / Peak / Filter FFT) :

Width (Ord):

Direction (Up / Down / Both):

Copyright 2005 Spectral Dynamics Inc. .


Order Track Graph

Composite Graph

This graph is used in the Rotating Machinery Application. The left side of the graph contains displays the data in Hz, min/max time, and frequency. The data can be displayed in speed, record number, or time. The right side of the graph gives peak hold cursor information. These displayed ranges can be modifed using the Graph Template Menu - Plot Properties dialog.

When a composite graph is defined an additional option will appear in the Plot Definition toolbar allowing the user to define constraints for the displayed frequencies.

Speed

  • Min: The minimum RPM displayed in the graph.
  • Max: The maximum RPM displayed in the graph.
  • Increment: Value between speed data
  • Scroll Range: Range of speed to be displayed

Record #

  • Min: The first record to be displayed.
  • Max: The last record to be displayed.
  • Increment: Value between record #
  • Scroll Range: Range of records to be displayed

Time

  • Min: The minimum time in seconds to be displayed
  • Max: The maximum time in seconds to be displayed
  • Increment: Value between time data
  • Scroll Range: Range of time to be displayed

Copyright 2005 Spectral Dynamics Inc..


Default Graph Templates

When opening up a new Puma document, the following list of GraphTool documents (Spectral Dyn GraphTool Document *.sgt) will be loaded up through the Puma software by default. When adding a graph in the following list of templates (*.gt) will be loaded up by the GraphTool software by default. Note that the Puma software looks for these templates in the location where the program was executed. If a default GraphTool document doesn't exist in this directory, GraphTool will not load up a template.

Application | GraphTool Document (*.sgt) | GraphTool Template (*.gt)
Analyzer | default.analyzer.sgt | analyzer.gt
Sine | default.sin.sgt | sine.gt
Shock Synthesis | default.ssk.sgt | srs_shock.gt
Classical Shock | default.csk.sgt | shock.gt
Multi-Ref Modal Acquisition | default.mimso.sgt | mimso.gt
Random | default.ran.sgt | random.gt
Sine on Random | default.sor.sgt | sor.gt
Random on Random | default.ror.sgt | ror.gt
Rotating Machinery | default.rotating.sgt | rotating.gt
Road Simulation | default.waveformrep.sgt | waveformrep.gt
Star Analyzer | default.sts.sgt | sts.gt
Stepped Sine | default.stp.sgt | stepsine.gt
Data Explorer | SDDataExplorer.sgt | n/a

default.gt

When GraphTool cannot find the corresponding template, this will be used in it's place when adding a graph.

stream.gt

When creating a compressed view graph, this template will be used.

Copyright 2005 Spectral Dynamics Inc..


Printing

Printing a page simply takes the current layout of the template and prints it regardless of margins or size. Resizing the window to fit the paper size or moving and resizing objects may be necessary to get a proper printout. 'Print Preview' under the 'Layout' Menu will show a fairly accurate preview of the template when it is printed. An example of the GraphTool view and the actual printed document is shown below. Notice how certain aspects of the GraphTool view are not to scale when printed. Noticeably the text box fields is not printed to scale

Tips for successful printing:

• Under the 'Page Settings Toolbar' make sure the 'Fit Page to Window' icon [image] is not active so that you can use the scroll bars of the side and bottom of the window to move through the template. This is useful for having the printout fill the page since it is impossible to view the entire template at once unless at a very high resolution.
• Use 'Print Preview' frequently so that any graphs or other objects that are out of print range can be resized or moved.
• Because the difference between the sizes of the page versus the layout of GraphTool, it is recommended that you have two templates for a test. Use one for viewing and one for printing.

Copyright 2005 Spectral Dynamics Inc.


Viewing a Stream

The following is a simple example of viewing a streamed data file (.sts).

First create a compressed view graph using the insert compressed button

Then right click on the channel name of the compressed graph [A Compressed - Channel 1] and select 'Open Stream'

Once the stream is open, create a view graph using the insert view button [image]. Then right click on the channel name of the view graph [A View - Channel 1] and select 'Attach Stream'. A dialog will appear showing all the data streams currently opened. In this case there will only be one stream opened. Press the 'Attach' button. Now the view graph should contain the portion or the stream highlighted in the compressed graph as shown below. The arrow below the highlighted data [image] can be dragged left and right to view different parts of the data stream file. The Time Stream Toolbar may be used to step through or play the file alternatively to dragging the arrow. You may notice that the highlighted data in the compressed graph only displays a small portion of the graph. By default it selects a 1/20th second portion of the compressed graph. You can adjust this value as well as other viewing properties by right clicking on the arrow below the highlighted data [image] to open up the Editor Settings dialog.

Editor Settings Dialog

Forward / Rewind Speed (1/10x,1/5x,1/2x,1x,2x,5x,10x): This adjusts the playback speed when viewing a stream using the play button [image].

Zoom Window: This is the length of time in seconds of the highlighted data is viewed in the compressed graph.

Zoom Step (1/10x,1/5x,1/2x,1x): This is the rate at which the highlighted data plays through the data. Example: At a one second zoom length (defined in the 'Zoom Window' setting) and a zoom step of 1/2x, the highlighted data will move through the data at a half-second interval each step while it is playing.

Filters: See Filters and Re-sampling.

An example of viewing a compressed time stream file.

Filtering peaks when viewing large files

Large files on slower systems can have performance problems when trying to view large portions of data. The compressed graph can filtered showing only peaks. Right click on the "A Comp Max - Channel 1" label and select "Display Filtering" to open this dialog.

The above data with a filter of 90% of max peak.

Displaying a range of data

When dealing with large files, you can specify what portion of the data you would like to view in the Compressed Graph. This is helpful with extremely large file sizes as GraphTool will only read the portion of data specified. Right click on the "A Camp Max- Channel 1" label and select "Set Time Range". Alternatively the x-axis can be manually changed as described in Graph Properties.


Editing a Stream

Editing a Stream - Copy and Paste

The following is a simple example of editing a streamed data file (.sts).

First create a compressed view graph using the insert compressed button [image].

Then right click on the channel name of the compressed graph [A Compressed - Channel 1] and select 'Open Stream'

Once the stream is open, create a view graph using the insert view button [image]. Then right click on the channel name of the view graph [A View - Channel 1] and select 'Attach Stream'. A dialog will appear showing all the data streams currently opened. In this case there will only be one stream opened. Press the [Attach] button.

On the view graph, right click on the numerical cursor display and select 'Cursor Band' from the drop down menu. You can control the cursor band by holding the left mouse button on the graph and dragging the desired selection then releasing the mouse button.

Once you have the selected data in the view menu you can then copy the data onto the clipboard using the copy button [image].

Now create an Edit graph using the insert edit button [image]. You can now simply paste the copied data in the edit graph by selecting the graph and pressing the paste button [image]. This will overwrite any data currently in the edit graph. You can insert the clipboard data at the start, end, or at cursor by right clicking on the channel name of the edit graph [A Edit - Channel 1] then proceeding to the 'insert' menu item. You can save the changes to the edit graph at any time by choosing 'Save to New File' in the same drop down menu.

An example of editing a time stream file.

Copyright 2005 Spectral Dynamics Inc. .


Filter, Re-sample and Drag Points

Filters, Re-sampling and Drag Points

Besides viewing and simple copy and paste routines, the waveform editor also allows you to filter, adjust individual frequencies and re-sample a time stream..

Editor Settings

To view the editor settings dialog and apply a filter, right click the arrow below the highlighted data [image].

Band Pass: Filters highlighted data with both Lo and Hi frequencies specified.

Low Pass: Filters highlighted data with the Lo frequency specified.

High Pass: Filters highlighted data with the Hi frequency specified.

Filter Entire Window: Applies filter to entire time stream.

Resample Stream

To resample a compressed time stream file, right click on the channel name of the compressed graph [A Compressed - Channel 1] and select 'Resample...' This will allow you to specify and new bandwidth and save it off as a different file. Press the [Browse] button and select and directory and filename for the file, then press [Resample] to begin the re-sampling process. Note that the new bandwidth must be less than the old bandwidth value.

Drag Points

Drag points allow the user to adjust the frequency of a plot on an edit graph. You can toggle the drag points on a graph by clicking the drag points button [image]. Position the cursor over the grab point and hold the left mouse button to adjust the frequency higher or lower. You can adjust the drag points to different values along the graph using the shift left / right buttons [image] [image].

Copyright 2005 Spectral Dynamics Inc. .


Importing a Reference

Displaying a Reference

This dropdown selection available in the Plot Definition Toolbar allows the on/off toggle of reference lines in a plot

Data Only: Display only data in the plot.

Show Profile: Shows a control channel's alarm and abort reference lines.

Show Abort / Limit: Shows an abort channel's or limit channel's reference line.

Defining a Reference

To define a reference from a profile, select "Setup" then "Profiles...: from the main window of Puma. Once the profile is applied, the reference abort, alarm, or limit lines can be displayed in the graph as shown above. Each control, abort, and limit channel defined in the channel table can have a reference defined in the Profile Settings dialog as shown below.

Copyright 2005 Spectral Dynamics Inc. .


Features of Puma Using OLE

OLE (O bject L inking and E mbedding) is the standard practice of embedding data into a file and then linking that file to another application. The Puma test environment allows the user to embed and link data into any other qualified OLE container. This allows the user to exploit this tool to produce effective "Dynamic Reports".

Spectral Dyn GraphTool Document: This is the registered name of the type of object to be embedded in an OLE container. In this help documentation they are referred to as "templates."

Available features using OLE:
Inserting an OLE object in GraphTool
Inserting live data in an OLE container
Inserting saved data in an OLE container
Creating a new object in an OLE container
Embedding objects using Microsoft Word

IMPORTANT NOTE: When creating a template to be embedded within an OLE container, make sure the template is not too large. Certain containers such as Excel have a difficult time managing large objects outside of the page size. If you need a large number of objects in a template, it is suggested to split them up over several templates then embedding each separately. See Window Sizing Templates for OLE for a detailed explanation.

Copyright 2005 Spectral Dynamics Inc. .


Inserting Objects in GraphTool

Inserting Objects in GraphTool Using OLE

You may customize the template layout (.sgt) by adding a Windows registered object using OLE. Be aware however that some objects are not designed to be viewed on a page such as video, sound, and compressed images such as jpegs.. These may produce undesired effects. Bitmaps are the most commonly embedded objects.

Embedding a bitmap into a template.
Use the GraphTool menu and select 'E dit' followed by 'Insert Object', from here there are two methods.

Method 1

1. Select [image] Create N ew.
2. Choose the type of object from the list given. In this example 'Bitmap Image' is chosen.
3. Click [OK].

Clicking inside the object will enable you to use your default paint program to edit the object while in the same view as the graph. When you are done save the picture, then click outside the object.

Method 2

1. Select [image] Create From F ile.
2. Enter the filename (including full path) of the object you wish to embed. or use the browse feature to find the file
3. Click [OK].

Once created, these objects may be resized using the mouse.

Copyright 2005 Spectral Dynamics Inc. .


Inserting Live Data in an OLE Container

The Puma software allows GraphTool to be embedded in a qualified OLE container while displaying live data. The following are step by step actions to embed GraphTool in Microsoft Excel.

Open Puma and load the test and template you wish to have embedded. When embedding a GraphTool template, it is a good idea to set up the template before you embed the object. Although it is possible to alter these once embedded, it is easier and more efficient to perform this in Puma. Once the template is setup, select 'E dit' then 'C opy Page Clip Board'.

Open up Microsoft Excel and select the location where you want the object placed then select 'E dit' then 'P aste'. The GraphTool template you copied should now be in Excel.

If you want to view the live data within GraphTool or change anything in the template, double-click on the template in Excel and GraphTool will then take control. It is important that while you are in this state, any changes that are made must be saved to the template using the GraphTool save icon [image] before clicking outside of the template and returning control to Excel. It important to note that any live data that is displayed such as graph data and tag data (test level db, time remaining, etc...) will not be updated on the report unless the save button [image] is pressed. At the exact time save is pressed, all the graph data and tag data will be saved at that point in time. When returning control to Excel, the template will update.

You can resize the template object while in Excel by grabbing the frame around the object. Grabbing the frame while GraphTool is embedded will increase the size of the template working space.

IMPORTANT NOTE: When creating a template to be embedded within an OLE container, make sure the template is not too large. Certain containers such as Excel have a difficult time managing large objects outside of the page size. If you need a large number of objects in a template, it is suggested to split them up over several templates then embedding each separately. See Window Sizing Templates in OLE for a detailed explanation.

Copyright 2005 Spectral Dynamics Inc. .


Inserting Saved Data in an OLE Container

You can also embed a template (.sgt) file within an OLE container to view saved data. The following are step by step actions to embed GraphTool in Microsoft Excel.

 Open up Excel and select 'I nsert' then 'O bject'. The object dialog will open up. Choose the 'Create from File' tab and press the [Browse] button. Find a GraphTool template (.sgt) then press [OK]. The object should now appear in Excel.

If you want to view data within GraphTool or change anything in the template, double-click on the template in Excel and GraphTool will then take control. It is important that while you are in this state, any changes that are made must be saved to the template using the GraphTool save icon [image] before clicking outside of the template and returning control to Excel. For example, if you want to a certain frame of data viewed on your report, open up the data file using the post analysis controls, choose the frame, press save [image], then return to Excel.

You can resize the template object while in Excel by grabbing the frame around the object. Grabbing the frame while GraphTool is embedded will increase the size of the template working space.

It is important to note that any tag data or text box fields that display live data will not be displayed while in this mode and will remain empty.

IMPORTANT NOTE: When creating a template to be embedded within an OLE container, make sure the template is not too large. Certain containers such as Excel have a difficult time managing large objects outside of the page size. If you need a large number of objects in a template, it is suggested to split them up over several templates then embedding each separately. See Window Sizing Templates in OLE for a detailed explanation.

Copyright 2005 Spectral Dynamics Inc. .


Creating a New Object in an OLE Container

It is also possible to create a new object in an OLE container. It is suggested that the template be created in GraphTool then embedded, but this is another option that may be used. Note that when creating a new object in an OLE container you cannot view live data. The following are step by step actions to embed a new template object in Microsoft Excel.

Open up Excel and select 'I nsert' then 'O bject'. The object dialog will open up. Choose 'Spectral Dyn GraphTool Document' in the 'O bject type:' listbox then press [OK].

GraphTool will now be embedded in Excel. You can add graphs, tags, bitmaps, just as if you were running GraphTool. It is important that while you are in this state, any changes that are made must be saved to the template using the GraphTool save icon [image] before clicking outside of the template and returning control to Excel. For example, if you want to a certain frame of data viewed on your report, open up the data file using the post analysis controls, choose the frame, press save [image], then return to Excel.

Copyright 2005 Spectral Dynamics Inc. .


Problems with Embedding in Microsoft Word

There are known problems, which Microsoft has acknowledged, with embedding in Word using OLE. Most noticeably are problems with bitmaps not appearing and difficulty moving and resizing objects. Currently Spectral Dynamics does not support OLE in Microsoft Word, but there is currently a work-around to the problem.

Follow the steps in the previous example about how to insert saved data in Excel.

Once the template is embedded in Excel with the desired size, save it off as an Excel file (.xls).

Open up Microsoft Word and select 'I nsert' then 'O bject'. The object dialog will open up, choose the 'Create from File' tab and press the [Browse] button. Find the Excel file you created (.xls) then press [OK]. The object should now appear in Word.

You can click on the graph to open up the embedded Excel object for editing. It is not recommended to make alterations to the template using GraphTool in this view because of the difficulties with nested embedded objects. Make the alterations necessary in Excel before embedding the object in Word.

IMPORTANT NOTE: When creating a template to be embedded within an OLE container, make sure the template is not too large. Certain containers such as Excel have a difficult time managing large objects outside of the page size. If you need a large number of objects in a template, it is suggested to split them up over several templates then embedding each separately. See Window Sizing Templates in OLE for a detailed explanation.

Copyright 2005 Spectral Dynamics Inc. .


Window Sizing Templates for OLE

When creating a template to be embedded in an OLE container, a large template size will give the OLE container problems with moving and resizing. It might be necessary to experiment with different template sizes to find the one that works best with the OLE container you are working in.

Helpful hints in creating an acceptable template size:
Make sure that the 'Fit Page to Window' icon [image] is active so that the template doesn't contain wasted white space that you cannot see. This is shown in the lower right example below..
 If the main GraphTool window is quite large on the screen, make sure the template window is not maximized or the graph may contain wasted white space. This is shown in the lower left example below.

Copyright 2005 Spectral Dynamics Inc. .


NetViewer

NetViewer allows the user to remotely view another test in progress on a different machine. NetViewer is essentially a stand-alone GraphTool with network support.

Before starting NetViewer:

- All systems must be on the same LAN and members of the same workgroup and domain.

- Both Systems must be running the same version of Puma, and be keyed for NetViewer.

Configuring NetViewer:

- Verify operation of the host system.

- Accomplish a full installation of Puma on a remote system and run the Key.exe application.

- Create a shortcut to GraphTool by right-clicking on GraphTool.exe and selecting 'Create Shortcut'.

- Right-click on the shortcut and select 'Properties'.

- In the 'Target' text box, enter " -N1" after the closing quote of the file path to open GraphTool as NetViewer, "...\GraphTool.exe" -N1".

- Or to configure NetViewer to a default IP address enter " -H<IP address> - N1" after the closing quote of the file path, "...\GraphTool.exe" -H<IP address> -N1".  See figure 1.

- It is recommended that you rename the shortcut other than Window's default.

Figure 1

Before launching NetViewer, ensure that Puma is running on the host. Double click the shortcut to launch the application. Under the GraphTool 'Layout' menu, there will now be an option present called 'Remote Connection' as shown in figure 2. If you entered default IP address in the target path, you can select this option to change it. Note that this does not change the default machine. NetViewer will revert back to it's default when restarted.

Figure 2

After selecting 'Remote Connection', a dialog will appear. You can enter the remote computer's IP address manually, or by selecting the computer from local network button, a list of computers in your workgroup will be displayed. See figure 3.

Figure 3

Now create a graph as shown in figure 4. You can use the viewer just like you would locally. It is recommended that you use saved templates to quickly recall graphs.

Figure 4

Copyright 2005 Spectral Dynamics Inc. .


Function Calculation Type

Previous topic Function Calculation

The Spectral Dynamics Programmable Function Calculator (PFC) is a versatile data handler that operates on input data to create new output data. The input and output data sources are completely configurable and can operate on internal data, data files, or live data. This is an integrated tool within GraphTool. To start this application, go to GraphTool's main toolbar and select 'Edit' then 'Calculation Editor...'

Steps for defining a function:

Under 'Function Name' enter a name for the new function. This can be the same as an existing function name.

Under 'Units Name' define the units name for the new function. The 'Function Name' and 'Units Name' should not both be the same as an existing function's name and units in order to avoid confusion.

Under 'Channel Type' and 'Reference Channel Type' multiple selections may be made. These define whether or not the function is available when using the selected types. Example: If the user defined function has channel types of input and control, then the function will only be available in plots with input or control channels.

Select the 'Function Group'. This should match the application type of the current test or post analysis file.

Under 'Current Calculation' define the function by adding plots, constants, or operators. You can also edit the formula by directly typing into the field. To add a plot, select the appropriate units and channel number then click on the [Add Function] button. Note: At least one function must be defined in the 'Calculation Formula' field in order to use a user defined function in GraphTool.

Once the function is defined press the [<< Add] button. To save the set of functions created in the 'Calculation List', select 'File' then 'Save'.

Using with live data:

To use the function in GraphTool, exit the calculator by pressing [OK]. Using the plot definition toolbar, select the function and operator name that was recently created to assign the calculation on the active plot.

Using with post analysis:

Before starting the calculator, set GraphTool to display 'data from file' using the Data Source Toolbar.

Select the active plot to displayed the opened data file and select the frame in which the calculation will be performed using the Post Analysis Toolbar.

To view the result of the current calculation select the plot in the graph using the left mouse button then click on the [Show Calculation] button to view the selected function in the 'Calculation Select' listbox.

Copyright 2005 Spectral Dynamics Inc.


Post Analysis Toolbar

Graph Property Lock Toolbar

The graph property lock toolbar allows the user to modify certain properties of graphs in a group.

To utilize this function, the graphs in a group you would like to change should be locked [image]. This is the default for new graphs. To unlock [image] a graph, click on the lock icon located on the upper left hand corner of the graph with the left mouse button. When a locked graph is altered based on the properties selected in the graph property lock toolbar, each of the other locked graphs will perform the same operation. An unlocked graph's properties will change independently if it is unlocked.

Graph Properties:

Cursor Pos: This controls the cursor position of the graph when moved with the mouse.

Threshold Props: This controls the threshold values used in graphs such as spec intensity and stacked plot.

XMax, XMin, YMax, YMin: This controls the min and max values of the graph when specifying numerical values for them.

XScale, YScale: This controls the autoscale functions of the plot toolbar.

Copyright 2005 Spectral Dynamics Inc.


Toolbar

Mutiple windows

When using multiple graphs, either pages or windows can be used. In the example below, two windows were created by selecting 'Window' > 'New Window' then selecting 'Tile' from the same menu. When saving the GraphTool Document, each window will be saved in the (*.sgt) file.

Copyright 2005 Spectral Dynamics Inc.


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2005 Spectral Dynamics Inc.

Microsoft Excel, Word, and Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.


PlotColors


PlotMarker


TextBoxFields

Text Box Fields Previous topic

Copyright 2005 Spectral Dynamics Inc. .